@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@100;400&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

iframe {
    height: 30vh;
    width: 95vw;
    flex: 1 1 0;
}

.iframe-wrapper {
    display: flex;
}

html {
    scroll-behavior: smooth;
}

body {
    background: #212674;
}

.logo-container {
    position: relative;
}

.back-btn-wrapper {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -2rem;
}

.back-btn-wrapper svg {
    width: 1.4rem;
    height: 1.4rem;
}

@font-face {
    font-family: EmperorTen;
    src: url(../../fonts/emperorten-regular.ttf);
}

@font-face {
    font-family: ArcadeClassic;
    src: url(../../fonts/arcade-classic.TTF);
}

@font-face {
    font-family: Helvetica;
    src: url(../../fonts/Helvetica.ttf);
}

.page-wrapper {
    position: relative;
    width: 100%;
    min-height: 100vh;
    padding: 1rem 1.2rem;
    z-index: 2;
    overflow: hidden;
}

.page-wrapper .logo-container {
    max-width: 120px;
    border-radius: 50%;
    transition: .3s;
}

.page-wrapper .logo-container:hover {
    box-shadow: 2px 2px 50px #08f21e,
    -2px 2px 50px #08f21e,
    2px -2px 50px #08f21e,
    -2px -2px 50px #08f21e;
}

.page-wrapper .title-text span {
    font-family: ArcadeClassic, serif;
    font-weight: bolder;
    letter-spacing: .1rem;
    line-height: 1.8rem;
    font-size: 2.2rem;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    -webkit-text-stroke-width: calc(1px / 3);
    -webkit-text-stroke-color: black
}

.page-wrapper .title-text .l1 {
    background-image: linear-gradient(to bottom, #e308f7 , #cc33cc, #996699);
    -moz-background-image: linear-gradient(to bottom, #e308f7 , #cc33cc, #996699);
}

.page-wrapper .title-text .l2 {
    background-image: linear-gradient(to bottom, #669966 , #33cc66, #00ff33);
    -moz-background-image: linear-gradient(to bottom, #669966 , #33cc66, #00ff33);
}

.bg-container {
    position: absolute;
}


.page-wrapper .videos-container {
    position: absolute;
    bottom: 10vw;
    padding-top: 1rem;
    left: -.1rem;
}

@media only screen and (min-width: 540px) {
    iframe {
        height: 25vh;
        padding-right: 0;
    }
}

@media only screen and (min-width: 787px) {
    iframe {
        height: 25vh;
    }
}

@media only screen and (min-width: 998px) {
    .page-wrapper .title-text span {
        line-height: 2vw;
        font-size: 2.8vw;
        letter-spacing: .4vw
    }

    .bg-container {
        height: 100vh;
    }

    .back-btn-wrapper svg {
        width: 1.6rem;
        height: 1.6rem;
    }

    .bg-container img {
        height: 100% !important;
        width: auto;
    }

    .page-wrapper .logo-container {
        max-width: 10vw;
    }

    .row > * {
        padding-right: 0!important;
    }

    .page-wrapper .videos-container {
        width: 40vw;
        right: 0;
        left: initial;
        top: 50%;
        transform: translateY(-50%);
        bottom: initial;
    }

    iframe {
        height: 35vh;
    }
}

@media only screen and (min-width: 1080px) and (min-aspect-ratio: 21/10) {
    iframe {
        height: 40vh;
    }
}